APC mini WebRemote control (led feedback)

BECOME PART OF THE COMMUNITY - Sign up here
  • Thanks!

    I've downloaded dot2apcmini2.

    It seems only the first "scene launch" button (clip) seems to work in order to browse through the different wings. Under this "clip stop" button it seems only B-wing1 and F-wing1 to be located?. Is it correct it is not possible to cycle through the different wings with the "scene launce" buttons?


    Thanks in advance!

    (ive got a 'show' in 2 hours :) )

  • dot2apcmini2 is a newer (different) version of the code ..


    In the old version, it was possible to select wings using the side buttons.


    In this version you control bwing1 and fwing1 simultaneously (can be changed to bwing2 fwing2 by editing the js file at the very beginning
    change wing =1; to wing =2;)

    Code
    //config 
    wing = 1;   //set wing 1 or 2
    page = 1;   //set page select mode - 0-off, 1-only exec buttons(5), 2-exec buttons and faders together(5)
    midi_in = 'APC MINI 0';     //set correct midi in device name
    midi_out = 'APC MINI 1';    //set correct midi out device name


    Side buttons - This is now page 1-5 selection for executors



    This solution is more convenient

  • This switching makes sense with motorized faders.

    Of course it is possible - adding this functionality.


    I don't have the controller with me - but try it yourself


    open js file with editor - and add additional code that I will paste below - exactly on line 170


    before this line

    if (msg.note == 88) {// fader buttons HI


  • Hey! I get a very similar error to the one from Qwerty but I can't really figure out how he got it fixed. I didn't understand what was changed so it worked all of the sudden.

    I got:
    node-v16.14.0-x64
    dot2apcmini2-main (https://github.com/ArtGateOne/dot2apcmini2)
    unzipped in C:/


    And pretty much followed all the steps

    - Running dot2
    - webremote on and password to "remote"
    - the akai apc mini is obviously connected and works


    but I constantly get the error that is also below


    Here is my error after executing the command:


    C:\dot2apcmini\dot2apcmini2>node dot2apcmini2.js

    C:\dot2apcmini\dot2apcmini2\node_modules\bindings\bindings.js:121

    throw e;

    ^


    Error: The module '\\?\C:\dot2apcmini\dot2apcmini2\node_modules\midi\build\Release\midi.node'

    was compiled against a different Node.js version using

    NODE_MODULE_VERSION 83. This version of Node.js requires

    NODE_MODULE_VERSION 93. Please try re-compiling or re-installing

    the module (for instance, using `npm rebuild` or `npm install`).

    ←[90m at Object.Module._extensions..node (node:internal/modules/cjs/loader:1185:18)←[39m

    ←[90m at Module.load (node:internal/modules/cjs/loader:981:32)←[39m

    ←[90m at Function.Module._load (node:internal/modules/cjs/loader:822:12)←[39m

    ←[90m at Module.require (node:internal/modules/cjs/loader:1005:19)←[39m

    ←[90m at require (node:internal/modules/cjs/helpers:102:18)←[39m

    at bindings (C:\dot2apcmini\dot2apcmini2\node_modules\←[4mbindings←[24m\bindings.js:112:48)

    at Object.<anonymous> (C:\dot2apcmini\dot2apcmini2\node_modules\←[4mmidi←[24m\midi.js:1:31)

    ←[90m at Module._compile (node:internal/modules/cjs/loader:1103:14)←[39m

    ←[90m at Object.Module._extensions..js (node:internal/modules/cjs/loader:1155:10)←[39m

    ←[90m at Module.load (node:internal/modules/cjs/loader:981:32)←[39m {

    code: ←[32m'ERR_DLOPEN_FAILED'←[39m



    What is it, that I have to do to fix this issue?

  • Hi,


    Thanks for your reply. I was trying it out and there seems to be a bug. I get the error as attached when I press a button. I try to debug and discovered the problem probably is something with the "var ...." in both statements. Without it no error occurs (but the board doesn't work probably ofc). I've tried to fix it but no luck so far.

  • Yes - i test it .it's my mistake
    need to remove all "var" in extra code